Counter an offer
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope: '<string>', termsRef: '<string>', expiresAt: '2023-11-07T05:31:56Z'})
};
fetch('https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter"
payload = {
"scope": "<string>",
"termsRef": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter"
payload := strings.NewReader("{\n \"scope\": \"<string>\",\n \"termsRef\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"<string>\",\n \"termsRef\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"<string>\",\n \"termsRef\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_bodyfalsecurl --request POST \
--url https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "<string>",
"termsRef": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
'{
"ok": true,
"data": {
"original": {
"id": "<string>",
"fromOrgId": "<string>",
"toOrgId": "<string>",
"rightId": "<string>",
"scope": "<string>",
"termsRef": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"derivedRightId": "<string>",
"contentHash": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"counter": {
"id": "<string>",
"fromOrgId": "<string>",
"toOrgId": "<string>",
"rightId": "<string>",
"scope": "<string>",
"termsRef": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"derivedRightId": "<string>",
"contentHash": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
},
"contractVersion": "<string>"
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}Offers
Counter an offer
Counter a PROPOSED or COUNTERED offer with revised scope/terms. The original transitions to COUNTERED and a new offer is created going the other direction; its termsRef carries counter_of:<originalOfferId>. Requires scope offers:write.
POST
/
v1
/
offers
/
{offerId}
/
counter
Counter an offer
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope: '<string>', termsRef: '<string>', expiresAt: '2023-11-07T05:31:56Z'})
};
fetch('https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter"
payload = {
"scope": "<string>",
"termsRef": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter"
payload := strings.NewReader("{\n \"scope\": \"<string>\",\n \"termsRef\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"<string>\",\n \"termsRef\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"<string>\",\n \"termsRef\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_bodyfalsecurl --request POST \
--url https://sandbox.api.enfinitos.com/v1/offers/{offerId}/counter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "<string>",
"termsRef": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
'{
"ok": true,
"data": {
"original": {
"id": "<string>",
"fromOrgId": "<string>",
"toOrgId": "<string>",
"rightId": "<string>",
"scope": "<string>",
"termsRef": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"derivedRightId": "<string>",
"contentHash": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"counter": {
"id": "<string>",
"fromOrgId": "<string>",
"toOrgId": "<string>",
"rightId": "<string>",
"scope": "<string>",
"termsRef": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"derivedRightId": "<string>",
"contentHash": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
},
"contractVersion": "<string>"
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}Authorizations
API key sent as Authorization: Bearer <api-key>.
Path Parameters
Offer id.
Body
application/json
⌘I